[med-svn] [barrnap] 01/02: add autopkgtest

Sascha Steinbiss sascha at steinbiss.name
Fri Mar 11 22:02:16 UTC 2016


This is an automated email from the git hooks/post-receive script.

sascha-guest pushed a commit to branch master
in repository barrnap.

commit 9ccc5f88416245901f401b6df647bff9ff0587f9
Author: Sascha Steinbiss <sascha at steinbiss.name>
Date:   Fri Mar 11 21:33:30 2016 +0000

    add autopkgtest
---
 debian/changelog          | 12 ++++++++++++
 debian/tests/control      |  3 +++
 debian/tests/test-example | 25 +++++++++++++++++++++++++
 3 files changed, 40 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 2025044..dc38317 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+barrnap (0.7+dfsg-2) unstable; urgency=medium
+
+  [Afif Elghraoui]
+  * Bump Standards-Version.
+  * Use secure Vcs-Git.
+  * Migrate to git.
+
+  [Sascha Steinbiss]
+  * Add autopkgtest.
+
+ -- Sascha Steinbiss <sascha at steinbiss.name>  Fri, 11 Mar 2016 21:32:52 +0000
+
 barrnap (0.7+dfsg-1) unstable; urgency=low
 
   * New upstream release.
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..49d3f07
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: test-example
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/test-example b/debian/tests/test-example
new file mode 100755
index 0000000..7c2a6d3
--- /dev/null
+++ b/debian/tests/test-example
@@ -0,0 +1,25 @@
+#!/bin/sh
+# autopkgtest check: Run barrnap with test data 
+# Author: Sascha Steinbiss <sascha at steinbiss.name>
+set -e
+
+ORIGDIR=$(pwd)
+WORKDIR=$(mktemp -d)
+
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+barrnap --kingdom euk $ORIGDIR/examples/fungus.fna > fungus.gff3
+[ -s fungus.gff3 ]
+
+barrnap --kingdom bac $ORIGDIR/examples/bacteria.fna > bac.gff3
+[ -s bac.gff3 ]
+
+barrnap --kingdom arc $ORIGDIR/examples/archaea.fna > arc.gff3
+[ -s arc.gff3 ]
+
+barrnap --kingdom mito $ORIGDIR/examples/mitochondria.fna > mito.gff3
+[ -s mito.gff3 ]
+
+ls -Al
+cat *

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/barrnap.git



More information about the debian-med-commit mailing list